Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.util
Class ConverterFactory

    java.lang.Object
      org.crosswire.jsword.util.ConverterFactory

    public final class ConverterFactory

extends Object

A factory for Converters.

Author:
  Joe Walker
See Also:
  `The GNU Lesser General Public License for details.`, `Converter`

Field Summary
`private static String` | `name` Current default converter implementation

Constructor Summary
`private` | `ConverterFactory()` Prevent instantiation

Method Summary
`static Converter` | `getConverter()` Generate a converter for the current converter name
`static String` | `getCurrentConverterName()` For config to read the currently preferred converter implementation
`static Map<String,Class<Converter>>` | `getKnownConverters()` Get a map of the known converters, by looking up the answers in Project
`static void` | `setCurrentConverterName(String name)` For config to set the currently preferred converter implementation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private static String name

  Current default converter implementation

Constructor Detail

### ConverterFactory

    private ConverterFactory()

  Prevent instantiation

Method Detail

### getConverter

    public static Converter getConverter()

  Generate a converter for the current converter name

  Returns:
    the plugin converter

### getKnownConverters

    public static Map<String,Class<Converter>> getKnownConverters()

  Get a map of the known converters, by looking up the answers in Project

  Returns:
    the map of known converters

### setCurrentConverterName

    public static void setCurrentConverterName(String name)

  For config to set the currently preferred converter implementation

  Parameters:
    `name` -

### getCurrentConverterName

    public static String getCurrentConverterName()

  For config to read the currently preferred converter implementation

  Returns:
    the current plugin converter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD